package wacc

enum Error {
  case DuplicateDeclaration(ident: ast.Ident)
  case UndefinedIdentifier(ident: ast.Ident, identType: renamer.IdentType)
  case FunctionParamsMismatch(expected: Int, got: Int)
  case TypeMismatch(expected: types.SemType, got: types.SemType)
}
